Loading...
Searching...
No Matches
ReactionFingerprints.h File Reference
`#include <RDGeneral/export.h>`
`#include <DataStructs/SparseIntVect.h>`
`#include <DataStructs/ExplicitBitVect.h>`

Go to the source code of this file.

## Classes

struct | RDKit::ReactionFingerprintParams

## Namespaces

namespace | RDKit
| Std stuff.

## Enumerations

enum class | RDKit::FingerprintType { RDKit::AtomPairFP = 1 , RDKit::TopologicalTorsionFP , RDKit::MorganFP , RDKit::RDKitFP , RDKit::PatternFP }

## Functions

RDKIT_CHEMREACTIONS_EXPORT ExplicitBitVect * | RDKit::StructuralFingerprintChemReaction (const ChemicalReaction &rxn, const ReactionFingerprintParams &params=DefaultStructuralFPParams)
RDKIT_CHEMREACTIONS_EXPORT SparseIntVect< std::uint32_t > * | RDKit::DifferenceFingerprintChemReaction (const ChemicalReaction &rxn, const ReactionFingerprintParams &params=DefaultDifferenceFPParams)

## Variables

RDKIT_CHEMREACTIONS_EXPORT const ReactionFingerprintParams | RDKit::DefaultStructuralFPParams
RDKIT_CHEMREACTIONS_EXPORT const ReactionFingerprintParams | RDKit::DefaultDifferenceFPParams